Subject: Re: bug#37737: Documentation should mention that source checkout must be readable by the guixbuild group if guix-daemon is run from there

From: zimoun <[email-masked]>
Date: Wed, 24 Mar 2021 22:47:53 +0100

Hi,

On Mon, 11 Jan 2021 at 14:31, zimoun <[email-masked]> wrote:
> On Mon, 21 Dec 2020 at 14:13, zimoun <[email-masked]> wrote:
>> On Sun, 13 Oct 2019 at 15:54, David Truby <[email-masked]> wrote:
>>
>>> When following the Contributing section of the manual in my home
>>> directory, I was unable to use the built guix to do anything as I hit
>>> upon a message saying "error: failed to run download program
>>> '/home/truby/src/guix/scripts/guix': Permission denied​"
>>>
>>> After some debugging I realised this was because my home directory was
>>> not world readable. I think to avoid other people having this problem
>>> it might be worth mentioning in the manual that the source directory
>>> needs to be readable by the guixbuild group for the users in that
>>> group to be able to actually build anything. (In hindsight, this seems
>>> obvious to me. But it wasn't when I first ran through that section of
>>> the manual!)
>>
>> Since it appears to me obvious, I am not sure to see how to improve.
>> Because you ran into the problem, do you want to give a try in rewording
>> somewhere in the manual?
>
> Do you think it is worth to add one line in this section about Building
> from Git [1] or this one about Running from Source [2]?
>
> 1: <https://guix.gnu.org/manual/devel/en/guix.html#Building-from-Git>
> 2:<https://guix.gnu.org/manual/devel/en/guix.html#Running-Guix-Before-It-Is-Installed>

Since it seems clear to me, the bug had been opened on Oct. 2019, asked
moreinfo twice on Dec. 2020 and Jan. 2021 and now we are on March,
closing!

Feel free to reopen the bug if I miss something.

All the best,
simon